Page MenuHomePhabricator

Add Userpage deletion tag on the curation toolbar
Closed, ResolvedPublic

Description

When reviewing a user page there should more deletion tags to it such as, U2: Nonexistent user, U3: Non-free galleries, U5: Blatant WP:NOTWEBHOST violations, G11: Promotional user page under a promotional user name, and G13: AFC draft submission or a blank draft, stale by over 6 months.

Details

Related Gerrit Patches:
mediawiki/extensions/PageTriage : masterAdd new messages to `ext.pageTriage.defaultDeletionTagsOptions`
mediawiki/extensions/PageTriage : masterExpand deletion tag options for user pages.

Event Timeline

Medusa created this task.Jun 21 2019, 9:54 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptJun 21 2019, 9:54 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
kostajh moved this task from Inbox to Triaged but Future on the Growth-Team board.
kostajh added a subscriber: kostajh.

The Growth-Team will not be able to work on this in the short-to-medium term. Patches welcome!

DannyS712 added a subscriber: DannyS712.

Currently, the following speedy deletion tags are shown, in order:
G11, U2, U3, G4, G10, G12, G7

other than adding U5 and G13, are there any other requests? Also, I'll take this chance to reorder them so that they are in a sensible order ( U2, U3, U5, G4, G7, G10, G11, G12, G13 )

Restricted Application added a project: User-DannyS712. · View Herald TranscriptAug 19 2019, 1:37 PM

Change 532503 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/PageTriage@master] Expand deletion tag options for user pages.

https://gerrit.wikimedia.org/r/532503

DannyS712 added a comment.EditedAug 28 2019, 7:44 AM

@kostajh patch is ready for review by Growth-Team

Change 532503 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Expand deletion tag options for user pages.

https://gerrit.wikimedia.org/r/532503

Pinging @dom_walden for more testing and follow up:

I checked in betalabs - the new deletion tags are added as labels, e.g. "pagetriage-del-tags-dbu5-label" and "pagetriage-del-tags-dbg13-label"

Pinging @dom_walden for more testing and follow up:
I checked in betalabs - the new deletion tags are added as labels, e.g. "pagetriage-del-tags-dbu5-label" and "pagetriage-del-tags-dbg13-label"

I see the same thing. The messages are there though: https://en.wikipedia.beta.wmflabs.org/wiki/MediaWiki:Pagetriage-del-tags-dbu5-label
I'm at a loss at how some messages work but others don't - caching issues?

MaxSem added a subscriber: MaxSem.Sep 26 2019, 2:09 AM

Adding this message to ext.pageTriage.defaultDeletionTagsOptions fixes this problem, however I'm not sure if it's the correct solution with all these modules.

By the way Danny - do you need help with installing MediaWiki? It's really hard to review your patches if you haven't tested them yourself.

Adding this message to ext.pageTriage.defaultDeletionTagsOptions fixes this problem, however I'm not sure if it's the correct solution with all these modules.
By the way Danny - do you need help with installing MediaWiki? It's really hard to review your patches if you haven't tested them yourself.

Doing

Change 539217 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/PageTriage@master] Add new messages to ext.pageTriage.defaultDeletionTagsOptions

https://gerrit.wikimedia.org/r/539217

Change 539217 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Add new messages to ext.pageTriage.defaultDeletionTagsOptions

https://gerrit.wikimedia.org/r/539217

Confirmed to work on the beta cluster

Etonkovidova closed this task as Resolved.Sep 27 2019, 10:50 PM

Confirmed to work on the beta cluster

The labels for tags are displayed correctly in betalabs, but it might need monitoring in production to see if the tags work properly. Marking the task as Resolved for now.